Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.http
Class BadRequestException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.http.BadRequestException

All Implemented Interfaces:
  java.io.Serializable

public class BadRequestException
extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`BadRequestException(java.lang.String message)`
`BadRequestException(java.lang.String message, java.lang.Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadRequestException

    public BadRequestException(java.lang.String message)

### BadRequestException

    public BadRequestException(java.lang.String message,
                               java.lang.Throwable cause)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.